> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# WOEID によるトレンド

> Trends by WOEID エンドポイントは、特定の地理的位置のトレンドトピックを返します。X API v2 standard tier の WOEID によるトレンドに関するリファレンスです。

export const Button = ({href, children}) => {
  return <div className="not-prose">
    <a href={href}>
      <button className="x-btn">
        <span>{children}</span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Trends by WOEID エンドポイントは、Yahoo! Where On Earth ID (WOEID) で識別される特定の地理的位置のトレンドトピックを返します。

## 概要

<CardGroup cols={2}>
  <Card title="位置ごと" icon="location-dot">
    サポートされている任意の位置のトレンド
  </Card>

  <Card title="グローバル対応" icon="globe">
    国、都市、地域
  </Card>

  <Card title="リアルタイム" icon="bolt">
    現在のトレンドトピック
  </Card>
</CardGroup>

***

## エンドポイント

| Method | Endpoint                                                      | 説明             |
| :----- | :------------------------------------------------------------ | :------------- |
| GET    | [`/2/trends/by/woeid/:id`](/x-api/trends/get-trends-by-woeid) | WOEID のトレンドを取得 |

***

## 一般的な WOEID

| 場所      | WOEID    |
| :------ | :------- |
| 世界全体    | 1        |
| アメリカ合衆国 | 23424977 |
| イギリス    | 23424975 |
| 日本      | 23424856 |
| ニューヨーク  | 2459115  |
| ロサンゼルス  | 2442047  |
| ロンドン    | 44418    |
| 東京      | 1118370  |

***

## リクエスト例

```bash theme={null}
curl "https://api.x.com/2/trends/by/woeid/1" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

## レスポンス例

```json title="レスポンス例" lines wrap icon="https://mintcdn.com/x-preview/Vn2KEkZaPF9LiPi3/icons/xds/icon-brackets.svg?fit=max&auto=format&n=Vn2KEkZaPF9LiPi3&q=85&s=ed2428e77bab43e57800e1a590e982fa" theme={null}
{
  "data": [
    {
      "trend_name": "#AI",
      "tweet_count": 250000
    },
    {
      "trend_name": "Breaking News",
      "tweet_count": 180000
    }
  ]
}
```

***

## はじめに

<Note>
  **前提条件**

  * 承認済みの[開発者アカウント](https://developer.x.com/en/portal/petition/essential/basic-info)
  * Developer Console の[プロジェクトとアプリ](/resources/fundamentals/developer-apps)
  * アプリの [Bearer Token](/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="パーソナライズドトレンド" icon="https://mintcdn.com/x-preview/SxzTbJaLjs3MidH1/icons/xds/icon-person.svg?fit=max&auto=format&n=SxzTbJaLjs3MidH1&q=85&s=507a4bbcdcf5744bd18781508002e305" href="/x-api/trends/personalized-trends/introduction" width="24" height="24" data-path="icons/xds/icon-person.svg">
    認証済みユーザーのトレンドを取得
  </Card>

  <Card title="API リファレンス" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-code.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=488e23401b19225b89acc0136d242219" href="/x-api/trends/trends-by-woeid" width="24" height="24" data-path="icons/xds/icon-code.svg">
    完全なエンドポイントドキュメント
  </Card>
</CardGroup>
